/**
**************************************************************************
* @file tester_func.h
* @brief Заголовочный файл для функций МЗКТ.
**************************************************************************
@details

*************************************************************************/

	
#ifndef _TESTER_INTERFACE_FUNC_H_
#define _TESTER_INTERFACE_FUNC_H_

#include "mylibs_include.h"
#include "rs_message.h"



typedef struct
{
  GPIO_LEDTypeDef LED1;
}TESTER_LEDsTypeDef;


/* Инициализация структур интерфейса */
void TESTER_InterfaceInit(GPIO_SwitchTypeDef *swstart, TESTER_LEDsTypeDef *leds);


/* Включить индикацию таймаута старта при активации теста */
void TESTER_LED_TimeoutForStartTest(GPIO_LEDTypeDef *led);
/* Включить индикацию прямого подключения диода */
void TESTER_LED_TestingDiodeForward(GPIO_LEDTypeDef *led);
/* Включить индикацию обратного подключения диода */
void TESTER_LED_TestingDiodeReverse(GPIO_LEDTypeDef *led);
/* Выключить индикацию активного теста диодов */
void TESTER_LED_WaitForAction(GPIO_LEDTypeDef *led);

#endif //_TESTER_INTERFACE_FUNC_H_

